﻿@model MvcWebsiteOcc.Areas.administrators.Models.News

@{
    ViewBag.Title = "Thêm tin bài";
    ViewBag.Description = "tin bài";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    MvcWebsiteOcc.Areas.administrators.Models.News linkObj = ViewBag.LinkObj;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/news_manager/news_views'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a></li>
                                    @*<li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  *@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Nội dung tin bài
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.NewsTitle)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.NewsTitle, new { @class = "form-control", Value = linkObj.NewsTitle })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.NewsTitle, new { @class = "form-control" })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.NewsTitle)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ShortDescription)</label>
                                                        @Html.TextAreaFor(p => p.ShortDescription, new { @class = "form-control summernote textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ShortDescription)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.FullDescription)</label>
                                                        @Html.TextAreaFor(p => p.FullDescription, new { @class = "form-control textAuto summernote" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.FullDescription)</span>

                                                        @* <div id="summernote" class="textAuto"></div>*@
                                                    </div>
                                                </div>


                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Ngôn ngữ
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <select class="select" id="Lang_ID" name="Lang_ID" style="width: 100%">
                                                                    @{foreach (var lang in langs)
                                                                      {
                                                                          if (linkObj != null && linkObj.Lang_ID > 0)
                                                                          {
                                                                              if (ViewBag.LangAdd == lang.Lang_ID)
                                                                              {
                                                                        <option value="@lang.Lang_ID" selected="selected" >@lang.Lang_Name</option> 
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@lang.Lang_ID" disabled="disabled">@lang.Lang_Name</option>
                                                                              }
                                                                          }
                                                                          else
                                                                          {
                                                                              if (lang.IsDefault == true)
                                                                              {
                                                                        <option value="@lang.Lang_ID" selected="selected">@lang.Lang_Name</option> 
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@lang.Lang_ID">@lang.Lang_Name</option>
                                                                              }
                                                                          }
                                                                      }
                                                                    }
                                                                </select>


                                                            </div>
                                                        </div>
                                                    </div>
                                                    @if (linkObj != null)
                                                    {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <img src="/Uploaded/images/language/@linkObj.Language.Lang_Flag">
                                                                </span>
                                                                @* <span class="input-group-btn">
                                                                <button class="btn" type="button">Go</button>

                                                            </span>*@
                                                                <input type="hidden" name="LinkID" value="@linkObj.NewsID" />
                                                                @Html.TextBox("linkName", linkObj.NewsTitle, new { @class = "form-control", @readonly = "readonly" })
                                                            </div>
                                                        </div>
                                                    }
                                                    <div class="form-title">
                                                        Chuyên mục
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning">@ViewBag.CateError</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults">
                                                                @{if (linkObj != null)
                                                                  {
                                                                      Html.RenderAction("_news_newscate_add", "news_manager", new { langID = ViewBag.LangAdd, linkCateID = linkObj.NewCatID });
                                                                  }
                                                                  else
                                                                  {
                                                                      Html.RenderAction("_news_newscate_add", "news_manager");
                                                                  }}

                                                            </div>
                                                            <span class="help-block warning">@Html.ValidationMessageFor(p => p.NewCatID)</span>
                                                        </div>

                                                    </div>
                                                     <div class="form-title">
                                                        Sự kiện
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning">@ViewBag.CateError</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults">
                                                                @{if (linkObj != null)
                                                                  {
                                                                      Html.RenderAction("_events_detail_add", "events_manager", new { langID = ViewBag.LangAdd, linkCateID = linkObj.EventID });
                                                                  }
                                                                  else
                                                                  {
                                                                      Html.RenderAction("_events_detail_add", "events_manager");
                                                                  }}

                                                            </div>
                                                            <span class="help-block warning">@Html.ValidationMessageFor(p => p.EventID)</span>
                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        Ngày đăng
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <div class="form-group">
                                                                    <span class="input-icon icon-right">
                                                                        @{if (linkObj != null)
                                                                          {
                                                                            @Html.TextBox("createDateView", linkObj.CreateDate.ToString("dd/MM/yyyy"), new { @class = "form-control date-picker", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999" })

                                                                          }
                                                                          else
                                                                          {
                                                                            @Html.TextBox("createDateView", DateTime.Now.Date.ToString("dd/MM/yyyy"), new { @class = "form-control date-picker", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999" })
 
                                                                          }}

                                                                        <i class="fa fa-calendar"></i>
                                                                    </span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="form-title">
                                                        Ảnh
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            @{if (linkObj != null)
                                                              {
                                                                @Html.HiddenFor(m => m.NewsImage, new { Value = linkObj.NewsImage })
                                                                @Html.HiddenFor(m => m.Folder, new { Value = linkObj.Folder })
                                                                <span class="help-block danger"><b>Lưu ý:</b> Nếu dùng chung ảnh với ngôn ngữ mặc định thì không cần upload ảnh.</span>
                                                              }}
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>


                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @(Html.Kendo().Upload()
                                                                .Name("file_image")
                                                                .TemplateId("fileTemplate")
                                                                .Events(events => events.Select("onSelect"))
                                                                .Messages(m => m.Select("Upload ảnh"))
                                                                .Multiple(false)
                                                               )

                                                            <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                                            <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                        </button>
                                                                    </strong>

                                                            </script>
                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        File download
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">FIle có định dạng .doc, .pdf ... ! </span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @(Html.Kendo().Upload()
                                                                .Name("file_download")
                                                                .TemplateId("langTemplate")
                                                                .Events(events => events.Select("onSelectFile"))
                                                                .Messages(m => m.Select("Upload file"))
                                                                .Multiple(false)

                                                               )

                                                            <script id="langTemplate" type="text/x-kendo-template">
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                                        <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                    </button>
                                                                </strong>
                                                            </script>
                                                        </div>

                                                    </div>

                                                    <div class="form-title">
                                                        Video
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ví dụ: https://www.youtube.com/watch?v=_i7Ztx_yg8U. Copy đoạn ID của video <b>_i7Ztx_yg8U</b> </span>
                                                        </div>
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.NewsVideo, new { @class = "form-control", Value = linkObj.NewsVideo })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.NewsVideo, new { @class = "form-control" })
                                                                  }}
                                                            </div>

                                                        </div>
                                                    </div>

                                                    <div class="form-title">
                                                        Trạng thái
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">Trạng thái</label>
                                                                <div class="checkbox">
                                                                    <label>
                                                                        <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                                        <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">Hiển thị tin trên slide</label>
                                                                <div class="checkbox">
                                                                    <label>
                                                                        <input id="IsHome" class="colored-danger" name="IsHome" type="checkbox" value="true" />
                                                                        <input type="hidden" value="false" /><span class="text">Hiển thị</span></label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                         <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">Tin hot</label>
                                                                <div class="checkbox">
                                                                    <label>
                                                                        <input id="IsHot" class="colored-danger" name="IsHot" type="checkbox" value="true" />
                                                                        <input type="hidden" value="false" /><span class="text">Nổi bật</span></label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>

                                        </div>
                                    </div>


                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="widget-header header-large" style="display: block;">
                    @*<span class="widget-caption">@ViewBag.Title</span>*@
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/news_manager/news_views'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        @* <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>*@
                    </div>
                </div>
            </div>
        </div>
    </div>
}





@section PageScripts{
    <!--Jquery Select2-->
    <script src="/Static/admin/assets/js/select2/select2.js"></script>
    <script>
        $(".select").select2();
    </script>

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>

        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();

        $('.textAuto').autosize({ append: "\n" });

        //$('select[id=Lang_ID]').change(function () {
        //    $('')
        //    alert($(this).val()
        //        );
        //});
        $('#Lang_ID').change(function () {

            /* Get the selected value of dropdownlist */
            var selectedID = $(this).val();
            $("#dvCategoryResults").load('/administrators/news_manager/_news_newscate_add?langID=' + selectedID);

        });

        $(document).ready(function () {

            $("#news").addClass("active open");
            $("#newsviews").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });

    </script>

}